Index: CKEditor/branches/versions/3.6.x/CHANGES.html
===================================================================
--- CKEditor/branches/versions/3.6.x/CHANGES.html	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/CHANGES.html	(revision 6748)
@@ -40,4 +40,7 @@
 			New features:</p>
 	<ul>
+		<li><a href="http://dev.ckeditor.com/ticket/5647">#5647</a> : The kama skin now presents separators for the toolbar items, making it easier to group buttons, having a cleaner layout.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5647">#5647</a> : Usability enhancements to the keyboard navigation on the toolbar. Not TAB is used to jump among toolbar groups, while the arrow can be used to cycle withing the group. The new <a href="http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html#.toolbarGroupCycling">toolbarGroupCycling</a> setting can be used to change the arrow keys behavior.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5647">#5647</a> : Accessibility enhancements to the structure of the toolbar.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6589">#6589</a> : Automatically use a "onDialogEvent" function in the iframeDialog contents if no callback is used on creation.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/5745">#5745</a> : Allow to pass extra configuration options for iframeDialog.</li>
Index: CKEditor/branches/versions/3.6.x/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/_translationstatus.txt	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/_translationstatus.txt	(revision 6748)
@@ -2,59 +2,59 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 521 Missing: 3
-ar.js      Found: 435 Missing: 89
-bg.js      Found: 268 Missing: 256
-bn.js      Found: 269 Missing: 255
-bs.js      Found: 175 Missing: 349
-ca.js      Found: 521 Missing: 3
-cs.js      Found: 520 Missing: 4
-cy.js      Found: 435 Missing: 89
-da.js      Found: 388 Missing: 136
-de.js      Found: 522 Missing: 2
-el.js      Found: 274 Missing: 250
-en-au.js   Found: 345 Missing: 179
-en-ca.js   Found: 345 Missing: 179
-en-gb.js   Found: 520 Missing: 4
-eo.js      Found: 247 Missing: 277
-es.js      Found: 522 Missing: 2
-et.js      Found: 289 Missing: 235
-eu.js      Found: 387 Missing: 137
-fa.js      Found: 290 Missing: 234
-fi.js      Found: 522 Missing: 2
-fo.js      Found: 521 Missing: 3
-fr-ca.js   Found: 289 Missing: 235
-fr.js      Found: 522 Missing: 2
-gl.js      Found: 271 Missing: 253
-gu.js      Found: 288 Missing: 236
-he.js      Found: 522 Missing: 2
-hi.js      Found: 290 Missing: 234
-hr.js      Found: 388 Missing: 136
-hu.js      Found: 512 Missing: 12
-is.js      Found: 295 Missing: 229
-it.js      Found: 388 Missing: 136
-ja.js      Found: 471 Missing: 53
-km.js      Found: 263 Missing: 261
-ko.js      Found: 281 Missing: 243
-lt.js      Found: 294 Missing: 230
-lv.js      Found: 271 Missing: 253
-mn.js      Found: 288 Missing: 236
-ms.js      Found: 253 Missing: 271
-nb.js      Found: 521 Missing: 3
-nl.js      Found: 513 Missing: 11
-no.js      Found: 521 Missing: 3
-pl.js      Found: 522 Missing: 2
-pt-br.js   Found: 506 Missing: 18
-pt.js      Found: 270 Missing: 254
-ro.js      Found: 289 Missing: 235
-ru.js      Found: 451 Missing: 73
-sk.js      Found: 290 Missing: 234
-sl.js      Found: 394 Missing: 130
-sr-latn.js Found: 264 Missing: 260
-sr.js      Found: 263 Missing: 261
-sv.js      Found: 521 Missing: 3
-th.js      Found: 275 Missing: 249
-tr.js      Found: 506 Missing: 18
-uk.js      Found: 513 Missing: 11
-vi.js      Found: 463 Missing: 61
-zh-cn.js   Found: 518 Missing: 6
-zh.js      Found: 388 Missing: 136
+af.js      Found: 521 Missing: 14
+ar.js      Found: 435 Missing: 100
+bg.js      Found: 268 Missing: 267
+bn.js      Found: 269 Missing: 266
+bs.js      Found: 175 Missing: 360
+ca.js      Found: 521 Missing: 14
+cs.js      Found: 520 Missing: 15
+cy.js      Found: 435 Missing: 100
+da.js      Found: 388 Missing: 147
+de.js      Found: 522 Missing: 13
+el.js      Found: 274 Missing: 261
+en-au.js   Found: 345 Missing: 190
+en-ca.js   Found: 345 Missing: 190
+en-gb.js   Found: 520 Missing: 15
+eo.js      Found: 247 Missing: 288
+es.js      Found: 522 Missing: 13
+et.js      Found: 289 Missing: 246
+eu.js      Found: 387 Missing: 148
+fa.js      Found: 290 Missing: 245
+fi.js      Found: 522 Missing: 13
+fo.js      Found: 521 Missing: 14
+fr-ca.js   Found: 289 Missing: 246
+fr.js      Found: 522 Missing: 13
+gl.js      Found: 271 Missing: 264
+gu.js      Found: 288 Missing: 247
+he.js      Found: 522 Missing: 13
+hi.js      Found: 290 Missing: 245
+hr.js      Found: 388 Missing: 147
+hu.js      Found: 512 Missing: 23
+is.js      Found: 295 Missing: 240
+it.js      Found: 388 Missing: 147
+ja.js      Found: 471 Missing: 64
+km.js      Found: 263 Missing: 272
+ko.js      Found: 281 Missing: 254
+lt.js      Found: 294 Missing: 241
+lv.js      Found: 271 Missing: 264
+mn.js      Found: 288 Missing: 247
+ms.js      Found: 253 Missing: 282
+nb.js      Found: 521 Missing: 14
+nl.js      Found: 513 Missing: 22
+no.js      Found: 521 Missing: 14
+pl.js      Found: 522 Missing: 13
+pt-br.js   Found: 506 Missing: 29
+pt.js      Found: 270 Missing: 265
+ro.js      Found: 289 Missing: 246
+ru.js      Found: 451 Missing: 84
+sk.js      Found: 290 Missing: 245
+sl.js      Found: 394 Missing: 141
+sr-latn.js Found: 264 Missing: 271
+sr.js      Found: 263 Missing: 272
+sv.js      Found: 521 Missing: 14
+th.js      Found: 275 Missing: 260
+tr.js      Found: 506 Missing: 29
+uk.js      Found: 513 Missing: 22
+vi.js      Found: 463 Missing: 72
+zh-cn.js   Found: 518 Missing: 17
+zh.js      Found: 388 Missing: 147
Index: CKEditor/branches/versions/3.6.x/_source/lang/af.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/af.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/af.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Vergroot werkbalk',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/ar.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ar.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ar.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/bg.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bg.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bg.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/bn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bn.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bn.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/bs.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bs.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bs.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ca.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ca.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Amplia la barra d\'eines',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/cs.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/cs.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/cs.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Zobrazit panel nástrojů',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/cy.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/cy.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/cy.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Ehangu\'r Bar Offer',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/da.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/da.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/da.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/de.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/de.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/de.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Symbolleiste ausklappen',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/el.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/el.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/el.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-au.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-au.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar',
 
+	toolbarGroups :
+	{
+		document : 'Document',
+		clipboard : 'Clipboard/Undo',
+		editing : 'Editing',
+		forms : 'Forms',
+		basicstyles : 'Basic Styles',
+		paragraph : 'Paragraph',
+		links : 'Links',
+		insert : 'Insert',
+		styles : 'Styles',
+		colors : 'Colors',
+		tools : 'Tools'
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/eo.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/eo.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/eo.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/es.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/es.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/es.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expandir barra de herramientas',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/et.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/et.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/et.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/eu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/eu.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/eu.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/fa.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fa.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fa.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/fi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fi.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fi.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Laajenna työkalupalkki',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/fo.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fo.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fo.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Vís Toolbar',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/fr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fr.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fr.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Dérouler la barre d\'outils',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/gl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/gl.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/gl.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/gu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/gu.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/gu.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/he.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/he.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/he.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'הרחבת סרגל כלים',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/hi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hi.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hi.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/hr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hr.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hr.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/hu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hu.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hu.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Eszköztár szétnyitása',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/is.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/is.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/is.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/it.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/it.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/it.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/ja.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ja.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ja.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'ツールバーを開く',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/km.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/km.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/km.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/ko.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ko.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ko.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/lt.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/lt.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/lt.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/lv.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/lv.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/lv.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/mn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/mn.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/mn.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/ms.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ms.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ms.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/nb.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/nb.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/nb.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Vis verktøylinje',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/nl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/nl.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/nl.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Werkbalk uitklappen',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/no.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/no.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/no.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Vis verktøylinje',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/pl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pl.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pl.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Rozwiń pasek narzędzi',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js	(revision 6748)
@@ -747,4 +747,19 @@
 	toolbarExpand	: 'Aumentar Barra de Ferramentas',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/pt.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pt.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pt.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/ro.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ro.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ro.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/ru.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ru.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ru.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Развернуть панель инструментов',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/sk.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sk.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sk.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/sl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sl.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sl.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/sr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sr.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sr.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/sv.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sv.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sv.js	(revision 6748)
@@ -747,4 +747,19 @@
 	toolbarExpand	: 'Visa verktygsfält',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/th.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/th.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/th.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/tr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/tr.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/tr.js	(revision 6748)
@@ -747,4 +747,19 @@
 	toolbarExpand	: 'Toolbar\'ı aç',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/uk.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/uk.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/uk.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Розгорнути панель інструментів',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/vi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/vi.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/vi.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Mở rộng thnah công cụ',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: '展开工具栏',
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/lang/zh.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/zh.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/lang/zh.js	(revision 6748)
@@ -748,4 +748,19 @@
 	toolbarExpand	: 'Expand Toolbar', // MISSING
 
+	toolbarGroups :
+	{
+		document : 'Document', // MISSING
+		clipboard : 'Clipboard/Undo', // MISSING
+		editing : 'Editing', // MISSING
+		forms : 'Forms', // MISSING
+		basicstyles : 'Basic Styles', // MISSING
+		paragraph : 'Paragraph', // MISSING
+		links : 'Links', // MISSING
+		insert : 'Insert', // MISSING
+		styles : 'Styles', // MISSING
+		colors : 'Colors', // MISSING
+		tools : 'Tools' // MISSING
+	},
+
 	bidi :
 	{
Index: CKEditor/branches/versions/3.6.x/_source/plugins/a11yhelp/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/a11yhelp/lang/en.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/a11yhelp/lang/en.js	(revision 6748)
@@ -20,6 +20,6 @@
 								legend:
 									'Press ${toolbarFocus} to navigate to the toolbar. ' +
-									'Move to next toolbar button with TAB or RIGHT ARROW. ' +
-									'Move to previous button with SHIFT+TAB or LEFT ARROW. ' +
+									'Move to the next and previous toolbar group with TAB and SHIFT-TAB. ' +
+									'Move to the next and previous toolbar button with RIGHT ARROW or LEFT ARROW. ' +
 									'Press SPACE or ENTER to activate the toolbar button.'
 							},
Index: CKEditor/branches/versions/3.6.x/_source/plugins/toolbar/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/toolbar/plugin.js	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/toolbar/plugin.js	(revision 6748)
@@ -59,82 +59,93 @@
 		init : function( editor )
 		{
+			var endFlag;
+
 			var itemKeystroke = function( item, keystroke )
 			{
-				var next, nextToolGroup, groupItemsCount;
-				var rtl = editor.lang.dir == 'rtl';
+				var next, toolbar;
+				var rtl = editor.lang.dir == 'rtl',
+					toolbarGroupCycling = editor.config.toolbarGroupCycling;
+
+				toolbarGroupCycling = toolbarGroupCycling === undefined || toolbarGroupCycling;
 
 				switch ( keystroke )
 				{
-					case rtl ? 37 : 39 :					// RIGHT-ARROW
 					case 9 :					// TAB
+					case CKEDITOR.SHIFT + 9 :	// SHIFT + TAB
+						// Cycle through the toolbars, starting from the one
+						// closest to the current item.
+						while ( !toolbar || !toolbar.items.length )
+						{
+							toolbar = keystroke == 9 ?
+								( ( toolbar ? toolbar.next : item.toolbar.next ) || editor.toolbox.toolbars[ 0 ] ) : 
+								( ( toolbar ? toolbar.previous : item.toolbar.previous ) || editor.toolbox.toolbars[ editor.toolbox.toolbars.length - 1 ] );
+
+							// Look for the first item that accepts focus.
+							if ( toolbar.items.length )
+							{
+								item = toolbar.items[ endFlag ? ( toolbar.items.length - 1 ) : 0 ];
+								while ( item && !item.focus )
+								{
+									item = endFlag ? item.previous : item.next;
+
+									if ( !item )
+										toolbar = 0;
+								}
+							}
+						}
+
+						if ( item )
+							item.focus();
+
+						return false;
+
+					case rtl ? 37 : 39 :		// RIGHT-ARROW
+					case 40 :					// DOWN-ARROW
+						next = item;
 						do
 						{
 							// Look for the next item in the toolbar.
-							next = item.next;
-
-							if ( !next )
-							{
-								nextToolGroup = item.toolbar.next;
-								groupItemsCount = nextToolGroup && nextToolGroup.items.length;
-
-								// Bypass the empty toolgroups.
-								while ( groupItemsCount === 0 )
-								{
-									nextToolGroup = nextToolGroup.next;
-									groupItemsCount = nextToolGroup && nextToolGroup.items.length;
-								}
-
-								if ( nextToolGroup )
-									next = nextToolGroup.items[ 0 ];
-							}
-
-							item = next;
+							next = next.next;
+
+							// If it's the last item, cycle to the first one.
+							if ( !next && toolbarGroupCycling )
+								next = item.toolbar.items[ 0 ];
 						}
-						while ( item && !item.focus )
+						while ( next && !next.focus )
 
 						// If available, just focus it, otherwise focus the
 						// first one.
-						if ( item )
-							item.focus();
+						if ( next )
+							next.focus();
 						else
-							editor.toolbox.focus();
+							// Send a TAB.
+							itemKeystroke( item, 9 );
 
 						return false;
 
-					case rtl ? 39 : 37 :					// LEFT-ARROW
-					case CKEDITOR.SHIFT + 9 :	// SHIFT + TAB
+					case rtl ? 39 : 37 :		// LEFT-ARROW
+					case 38 :					// UP-ARROW
+						next = item;
 						do
 						{
 							// Look for the previous item in the toolbar.
-							next = item.previous;
-
-							if ( !next )
-							{
-								nextToolGroup = item.toolbar.previous;
-								groupItemsCount = nextToolGroup && nextToolGroup.items.length;
-
-								// Bypass the empty toolgroups.
-								while ( groupItemsCount === 0 )
-								{
-									nextToolGroup = nextToolGroup.previous;
-									groupItemsCount = nextToolGroup && nextToolGroup.items.length;
-								}
-
-								if ( nextToolGroup )
-									next = nextToolGroup.items[ groupItemsCount - 1 ];
-							}
-
-							item = next;
+							next = next.previous;
+
+							// If it's the first item, cycle to the last one.
+							if ( !next && toolbarGroupCycling )
+								next = item.toolbar.items[ item.toolbar.items.length - 1 ];
 						}
-						while ( item && !item.focus )
+						while ( next && !next.focus )
 
 						// If available, just focus it, otherwise focus the
 						// last one.
-						if ( item )
-							item.focus();
+						if ( next )
+							next.focus();
 						else
 						{
-							var lastToolbarItems = editor.toolbox.toolbars[ editor.toolbox.toolbars.length - 1 ].items;
-							lastToolbarItems[ lastToolbarItems.length - 1 ].focus();
+							endFlag = 1;
+							// Send a SHIFT + TAB.
+							itemKeystroke( item, CKEDITOR.SHIFT + 9 );
+							endFlag = 0;
 						}
 
@@ -161,5 +172,5 @@
 						var labelId = CKEDITOR.tools.getNextId();
 
-						var output = [ '<div class="cke_toolbox" role="toolbar" aria-labelledby="', labelId, '" onmousedown="return false;"' ],
+						var output = [ '<div class="cke_toolbox" role="group" aria-labelledby="', labelId, '" onmousedown="return false;"' ],
 							expanded =  editor.config.toolbarStartupExpanded !== false,
 							groupStarted;
@@ -179,5 +190,8 @@
 						for ( var r = 0 ; r < toolbar.length ; r++ )
 						{
-							var row = toolbar[ r ];
+							var toolbarId,
+								toolbarObj = 0,
+								row = toolbar[ r ],
+								items;
 
 							// It's better to check if the row object is really
@@ -189,7 +203,4 @@
 								continue;
 
-							var toolbarId = CKEDITOR.tools.getNextId(),
-								toolbarObj = { id : toolbarId, items : [] };
-
 							if ( groupStarted )
 							{
@@ -204,22 +215,11 @@
 							}
 
-							output.push( '<span id="', toolbarId, '" class="cke_toolbar" role="presentation"><span class="cke_toolbar_start"></span>' );
-
-							// Add the toolbar to the "editor.toolbox.toolbars"
-							// array.
-							var index = toolbars.push( toolbarObj ) - 1;
-
-							// Create the next/previous reference.
-							if ( index > 0 )
-							{
-								toolbarObj.previous = toolbars[ index - 1 ];
-								toolbarObj.previous.next = toolbarObj;
-							}
+							items = row.items || row;
 
 							// Create all items defined for this toolbar.
-							for ( var i = 0 ; i < row.length ; i++ )
+							for ( var i = 0 ; i < items.length ; i++ )
 							{
 								var item,
-									itemName = row[ i ];
+									itemName = items[ i ];
 
 								if ( itemName == '-' )
@@ -230,4 +230,35 @@
 								if ( item )
 								{
+									// Initialize the toolbar first, if needed.
+									if ( !toolbarObj )
+									{
+										// Create the basic toolbar object.
+										toolbarId = CKEDITOR.tools.getNextId();
+										toolbarObj = { id : toolbarId, items : [] };
+										toolbarName = row.name && ( editor.lang.toolbarGroups[ row.name ] || row.name );
+
+										// Output the toolbar opener.
+										output.push( '<span id="', toolbarId, '" class="cke_toolbar ',
+											( item.canGroup ? 'cke_toolbar_grouped' : 'cke_toolbar_ungrouped' ), '"',
+											( toolbarName ? ' aria-labelledby="'+ toolbarId +  '_label"' : '' ),
+											' role="toolbar">' );
+										
+										// If a toolbar name is available, send the voice label.
+										toolbarName && output.push( '<span id="', toolbarId, '_label" class="cke_voice_label">', toolbarName, '</span>' );
+
+										output.push( '<span class="cke_toolbar_start"></span>' );
+
+										// Add the toolbar to the "editor.toolbox.toolbars"
+										// array.
+										var index = toolbars.push( toolbarObj ) - 1;
+
+										// Create the next/previous reference.
+										if ( index > 0 )
+										{
+											toolbarObj.previous = toolbars[ index - 1 ];
+											toolbarObj.previous.next = toolbarObj;
+										}
+									}
+
 									if ( item.canGroup )
 									{
@@ -274,5 +305,6 @@
 							}
 
-							output.push( '<span class="cke_toolbar_end"></span></span>' );
+							if ( toolbarObj )
+								output.push( '<span class="cke_toolbar_end"></span></span>' );
 						}
 
@@ -428,38 +460,34 @@
  * config.toolbar_Full =
  * [
- *     ['Source','-','Save','NewPage','Preview','-','Templates'],
- *     ['Cut','Copy','Paste','PasteText','PasteFromWord','-','Print', 'SpellChecker', 'Scayt'],
- *     ['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
- *     ['Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField'],
+ *     { name: 'document',    items : [ 'Source','-','Save','NewPage','Preview','Print','-','Templates' ] },
+ *     { name: 'clipboard',   items : [ 'Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo' ] },
+ *     { name: 'editing',     items : [ 'Find','Replace','-','SelectAll','-','SpellChecker', 'Scayt' ] },
+ *     { name: 'forms',       items : [ 'Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField' ] },
  *     '/',
- *     ['Bold','Italic','Underline','Strike','-','Subscript','Superscript'],
- *     ['NumberedList','BulletedList','-','Outdent','Indent','Blockquote','CreateDiv'],
- *     ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
- *     ['BidiLtr', 'BidiRtl' ],
- *     ['Link','Unlink','Anchor'],
- *     ['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak','Iframe'],
+ *     { name: 'basicstyles', items : [ 'Bold','Italic','Underline','Strike','Subscript','Superscript','-','RemoveFormat' ] },
+ *     { name: 'paragraph',   items : [ 'NumberedList','BulletedList','-','Outdent','Indent','-','Blockquote','CreateDiv','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock' ] },
+ *     { name: 'links',       items : [ 'Link','Unlink','Anchor' ] },
+ *     { name: 'insert',      items : [ 'Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak' ] },
  *     '/',
- *     ['Styles','Format','Font','FontSize'],
- *     ['TextColor','BGColor'],
- *     ['Maximize', 'ShowBlocks','-','About']
+ *     { name: 'styles',      items : [ 'Styles','Format','Font','FontSize' ] },
+ *     { name: 'colors',      items : [ 'TextColor','BGColor' ] },
+ *     { name: 'tools',       items : [ 'Maximize', 'ShowBlocks','-','About' ] }
  * ];
  */
 CKEDITOR.config.toolbar_Full =
 [
-	['Source','-','Save','NewPage','Preview','-','Templates'],
-	['Cut','Copy','Paste','PasteText','PasteFromWord','-','Print', 'SpellChecker', 'Scayt'],
-	['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
-	['Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField'],
+	{ name: 'document',		items : [ 'Source','-','Save','NewPage','Preview','Print','-','Templates' ] },
+	{ name: 'clipboard',	items : [ 'Cut','Copy','Paste','PasteText','PasteFromWord','-','Undo','Redo' ] },
+	{ name: 'editing',		items : [ 'Find','Replace','-','SelectAll','-','SpellChecker', 'Scayt' ] },
+	{ name: 'forms',		items : [ 'Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField' ] },
 	'/',
-	['Bold','Italic','Underline','Strike','-','Subscript','Superscript'],
-	['NumberedList','BulletedList','-','Outdent','Indent','Blockquote','CreateDiv'],
-	['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
-	['BidiLtr', 'BidiRtl' ],
-	['Link','Unlink','Anchor'],
-	['Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak','Iframe'],
+	{ name: 'basicstyles',	items : [ 'Bold','Italic','Underline','Strike','Subscript','Superscript','-','RemoveFormat' ] },
+	{ name: 'paragraph',	items : [ 'NumberedList','BulletedList','-','Outdent','Indent','-','Blockquote','CreateDiv','-','JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock' ] },
+	{ name: 'links',		items : [ 'Link','Unlink','Anchor' ] },
+	{ name: 'insert',		items : [ 'Image','Flash','Table','HorizontalRule','Smiley','SpecialChar','PageBreak' ] },
 	'/',
-	['Styles','Format','Font','FontSize'],
-	['TextColor','BGColor'],
-	['Maximize', 'ShowBlocks','-','About']
+	{ name: 'styles',		items : [ 'Styles','Format','Font','FontSize' ] },
+	{ name: 'colors',		items : [ 'TextColor','BGColor' ] },
+	{ name: 'tools',		items : [ 'Maximize', 'ShowBlocks','-','About' ] }
 ];
 
@@ -500,2 +528,14 @@
  * config.toolbarStartupExpanded = false;
  */
+
+/**
+ * When enabled, makes the arrow keys navigation cycle within the current
+ * toolbar group. Otherwise the arrows will move trought all items available in
+ * the toolbar. The TAB key will still be used to quickly jump among the
+ * toolbar groups.
+ * @name CKEDITOR.config.toolbarGroupCycling
+ * @type Boolean
+ * @default true
+ * @example
+ * config.toolbarGroupCycling = false;
+ */
Index: CKEditor/branches/versions/3.6.x/_source/skins/kama/toolbar.css
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/skins/kama/toolbar.css	(revision 6744)
+++ CKEditor/branches/versions/3.6.x/_source/skins/kama/toolbar.css	(revision 6748)
@@ -80,12 +80,13 @@
 }
 
-.cke_skin_kama .cke_toolbar
-{
-	display: inline;
-}
-
 .cke_skin_kama .cke_separator
 {
-	display: none;
+	display: inline-block;
+	border-left: solid 1px #D3D3D3;
+	margin: 3px 2px 0;
+	height: 16px;
+
+	/* These are for IE < 8, but it's ok for the others */
+	vertical-align: top;
 }
 
@@ -106,5 +107,5 @@
 }
 
-.cke_skin_kama .cke_toolgroup
+.cke_skin_kama .cke_toolbar.cke_toolbar_grouped
 {
 	-moz-border-radius:5px;
@@ -122,15 +123,9 @@
 }
 
-.cke_skin_kama .cke_rtl .cke_toolgroup
+.cke_skin_kama .cke_rtl .cke_toolbar.cke_toolbar_grouped
 {
 	float: right;
 	margin-right: 0;
 	margin-left: 6px;
-}
-
-.cke_skin_kama .cke_toolgroup
-{
-	display: block;
-	height: 22px;
 }
 
@@ -254,5 +249,4 @@
 	height: 16px;
 	display: inline-block;
-	float: left;
 	cursor: default;
 }
@@ -279,8 +273,4 @@
 }
 
-.cke_skin_kama .cke_rtl .cke_button .cke_icon
-{
-	float: right;
-}
 
 .cke_skin_kama .cke_button .cke_label
@@ -290,13 +280,4 @@
 	padding-left: 3px;
 	line-height: 18px;
-	vertical-align: middle;
-	float: left;
-}
-
-.cke_skin_kama .cke_rtl .cke_button .cke_label
-{
-	padding-left: 0;
-	padding-right: 3px;
-	float: right;
 }
 
@@ -330,5 +311,4 @@
 	_background-image: url(images/sprites_ie6.png);
 	background-repeat: no-repeat;
-	float: left;
 	cursor: default;
 }
@@ -342,10 +322,4 @@
 {
 	filter: ;
-}
-
-.cke_skin_kama .cke_rtl .cke_button .cke_buttonarrow
-{
-	background-position: 0 -1469px; /* (0, -5) */
-	float: right;
 }
 
@@ -374,4 +348,5 @@
 .cke_skin_kama .cke_browser_gecko .cke_rtl .cke_button .cke_icon,
 .cke_skin_kama .cke_browser_gecko .cke_rtl .cke_button .cke_buttonarrow,
+.cke_skin_kama .cke_browser_gecko .cke_rtl .cke_separator,
 .cke_skin_kama .cke_browser_gecko .cke_rtl .cke_toolbar_start
 {
@@ -389,16 +364,4 @@
 {
 	float: right;
-}
-
-/*** IE ***/
-
-/* The biggest problem with IE is the RTL support (and float:right). It's
-   totally broken, and quite delicate. IE8 fixed these issues. */
-
-.cke_skin_kama .cke_browser_ie .cke_rtl .cke_button .cke_icon,
-.cke_skin_kama .cke_browser_ie .cke_rtl .cke_button .cke_label,
-.cke_skin_kama .cke_browser_ie .cke_rtl .cke_button .cke_buttonarrow
-{
-	float: none;
 }
 
@@ -421,15 +384,7 @@
 /*** Mixed Fixes ***/
 
-.cke_skin_kama .cke_browser_ie8 .cke_button .cke_label,
-.cke_skin_kama .cke_browser_opera .cke_button .cke_label,
-.cke_skin_kama .cke_browser_webkit .cke_button .cke_label
-{
-	line-height: 20px;
-}
-
-.cke_skin_kama .cke_browser_opera.cke_browser_quirks .cke_button .cke_label,
-.cke_skin_kama .cke_browser_iequirks .cke_button .cke_label
-{
-	line-height: 17px;
+.cke_skin_kama .cke_browser_ie .cke_button .cke_label
+{
+	line-height: 16px;
 }
 
